Loading...

CommCell Migration - Requirements

The sections below explain the requirements for CommCell Migration.

General Requirements

  • Verify that no jobs are in progress or scheduled to occur in the Clients that you wish to migrate. If jobs are scheduled, either perform the export at another time or disable all jobs for the client using the Activity Control tab from the Client Properties dialog box in the CommCell Console.
  • Perform an Auxiliary Copy operation before exporting the metadata records for migration. This will ensure that all the copies associated with all storage policies are synchronized.
  • We recommend that you perform a disaster recovery backup operation prior to a migration operation.
  • If you use V11 MediaAgent to perform the backup of any older version client in  the V11 CommCell and then migrate the older version client to a older version CommCell, then you cannot perform the Browse and Restore operation. You can perform the Restore by Job operation.

Migration Requirements

  • By default, CommCell Migration is disabled for V11 installs. For instructions to enable ComCell Migration, see Enabling CommCell Migration on a CommServe.
  • Ensure that compatible drives are available in the destination CommCell to restore the migrated backup data.
  • Ensure that you check the barcodes associated with the tapes in the CommCell to make sure that there are no duplicate barcodes across all CommCells being migrated.

    If you find two tapes that have the same bar code, one of them must be changed.

  • Ensure that the client to be migrated has at least one subclient (default subclient or user-defined subclient) created.

CommServe

You can migrate clients between two CommCells of the same version or of different versions. In case of cross version migration, the support is only from a higher version CommCell to a lower version CommCell. For example, you can migrate from a v11 CommCell to a v10 or v9 CommCell, but not vice versa.

When migrating clients between CommCells of the same version, you can migrate from a lower Service Pack to a Service Pack above one level. For example, you can migrate from a v11 SP2 CommCell to v11 SP3, but cannot migrate from a v11 SP1 CommCell to v11 SP3.

When performing cross version migration, perform the CommCell Registration only in the higher version CommCell (see Registering a Remote CommCell), and then proceed with the registration of the migrated clients in the destination CommCell (see Register Migrated Clients). During the registration process on destination CommCell, skip the process of the CommServe registration.

SQL Server Version

SQL Server version in the destination CommServe can be same or higher version than the SQL Server version in the source CommServe.

 If the SQL version in the source CommServe is higher, then run export job from destination CommServe. See Exporting Metadata from a Remote CommCell for more information.

Clients

Use the following table to check the client versions and the supported source and destination CommServe versions for CommCell migration. 

Clients Source CommServe Destination CommServe CommCell Migration
v11 v11 v11 Supported
v11 v11 v10 Not supported
v10 v11 v10 Supported
v10 v11 v11 Supported
v10 v11 v9 Not supported
v10 v10 v10 Supported
v10 v10 v11 Not supported
v9 v11 v11 Supported
v9 v11 v10 Supported
v9 v11 v9 Supported
v9 v10 v10 Supported
v9 v10 v9 Supported
v9 v9 v10 Not supported
v8 v10 v10 Supported
v8 v10 v9 Supported
v8 v9 v10 Not supported
v8 v10 v8 Not supported
v7 v9 v10 Not supported